List Withdrawals
curl --request GET \
--url https://pulsarpay.io/api/v1/agents/withdraw \
--header 'x-agent-key: <x-agent-key>'import requests
url = "https://pulsarpay.io/api/v1/agents/withdraw"
headers = {"x-agent-key": "<x-agent-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-agent-key': '<x-agent-key>'}};
fetch('https://pulsarpay.io/api/v1/agents/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payouts": [
{
"id": "cmoqbpavp00071ry1t2iyr1hw",
"agentId": "cmoon78e7000g1rvv9ju59ame",
"currency": "USDC",
"status": "COMPLETED",
"destination": {
"network": "SOL",
"walletAddress": "7AEaiRXEiwRne29zXjadxMRznarugZ1K3PmuAqeWvuFX"
},
"externalId": "34343477",
"txHash": null,
"createdAt": "2026-05-03T22:09:23.027Z",
"processedAt": null,
"amount": 97,
"fee": 3,
"platformFeeRate": "3%"
}
]
}Endpoint examples
List Withdrawals
Returns all withdrawal requests made by the authenticated agent. Pass the optional payoutId query parameter to retrieve a single specific payout.
GET
/
api
/
v1
/
agents
/
withdraw
List Withdrawals
Headers
The unique API key of the agent.
Query Parameters
When provided, filters the result to a single payout matching this ID.
Response
Withdrawal records retrieved successfully. Returns a list when no payoutId is provided, or a single object when payoutId is specified.
- Option 1
- Option 2
List of all withdrawal records for the authenticated agent.
Show child attributes
Show child attributes
⌘I

